#### D.13.6.41 groebnerComplex

Procedure from library `tropical.lib` (see tropical_lib).

Usage:
  groebnerComplex(f,p); f poly, p number
  groebnerComplex(I,p); I ideal, p number

Assume:
  I homogeneous, p prime number

Return:
  fan, the Groebner complex of f resp. I with respect to the p-adic valuation

Note:
  set printlevel=1 for output during traversal

Example:

    LIB "tropical.lib";
    ring r = 0,(x,y,z,w),dp;
    ideal I = x-2y+3z,3y-4z+5w;
    groebnerComplex(I,number(2));
    groebnerComplex(I,number(3));
    groebnerComplex(I,number(5));
    groebnerComplex(I,number(7));

User manual for Singular version 4.4.1, 2025, generated by texi2html.